Skip to content

Create A New Pricebook

Request

Creates a new pricebook in vWork.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/pricebooks.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/pricebooks.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <pricebook>
      <name>test pricebook</name>
      <description>pricebook</description>
      <pricebook_items type="array">
          <pricebook_item>
              <code>3</code>
              <description>Description 3</description>
              <price>40.0</price>
          </pricebook_item>
          <pricebook_item>
              <code>2</code>
              <description>Description 2</description>
              <price>30.0</price>
          </pricebook_item>
          <pricebook_item>
              <code>1</code>
              <description>Description 1</description>
              <price>20.0</price>
          </pricebook_item>
      </pricebook_items>
  </pricebook>  '

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:39:38 GMT"
ETagstring
Example:"W/\"2dbcb6a04f44419e584b939d643b66f1\""
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c984cbfd-2df1-4010-bad2-d5ef1e4d5412"
X-Runtimestring
Example:"0.586222"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F4426_6E78F2:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<pricebook>
    <id readonly="readonly">1090</id>
    <name>test pricebook</name>
    <account_id>1296</account_id>
    <description>pricebook</description>
    <pricebook_items type="array">
        <pricebook_item>
            <id readonly="readonly">113124</id>
            <pricebook_id>1090</pricebook_id>
            <code>3</code>
            <description>Description 3</description>
            <price>40.0</price>
        </pricebook_item>
        <pricebook_item>
            <id readonly="readonly">113125</id>
            <pricebook_id>1090</pricebook_id>
            <code>2</code>
            <description>Description 2</description>
            <price>30.0</price>
        </pricebook_item>
        <pricebook_item>
            <id readonly="readonly">113126</id>
            <pricebook_id>1090</pricebook_id>
            <code>1</code>
            <description>Description 1</description>
            <price>20.0</price>
        </pricebook_item…